---
title: TransitionEvent
slug: Web/API/TransitionEvent
tags:
  - API
  - CSS
  - CSS3 Transitions
  - CSSOM
  - Experimental
  - Reference
---
<div>{{APIRef("CSSOM")}} {{SeeCompatTable}}</div>

<p>The <code><strong>TransitionEvent</strong></code> interface represents events providing information related to <a href="/en-US/docs/Web/Guide/CSS/Using_CSS_transitions">transitions</a>.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("TransitionEvent.TransitionEvent", "TransitionEvent()")}}</dt>
 <dd>Creates a <code>TransitionEvent</code> event with the given parameters.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<p><em>Also inherits properties from its parent {{domxref("Event")}}</em>.</p>

<dl>
 <dt>{{domxref("TransitionEvent.propertyName")}} {{readonlyInline}}</dt>
 <dd>Is a {{domxref("DOMString")}} containing the name CSS property associated with the transition.</dd>
 <dt>{{domxref("TransitionEvent.elapsedTime")}} {{readonlyInline}}</dt>
 <dd>Is a <code>float</code> giving the amount of time the transition has been running, in seconds, when this event fired. This value is not affected by the {{cssxref("transition-delay")}} property.</dd>
 <dt>{{domxref("TransitionEvent.pseudoElement")}} {{readonlyInline}}</dt>
 <dd>Is a {{domxref("DOMString")}}, starting with <code>::</code>, containing the name of the <a href="/en-US/docs/Web/CSS/Pseudo-elements">pseudo-element</a> the animation runs on. If the transition doesn't run on a pseudo-element but on the element, an empty string: <code>''</code>.</dd>
</dl>

<h2 id="Types_of_TransitionEvent">Types of <code>TransitionEvent</code></h2>

<dl>
 <dt>{{domxref("HTMLElement.transitioncancel_event", "transitioncancel")}}</dt>
 <dd>An {{domxref("Event")}} fired when a <a href="/en-US/docs/Web/CSS/CSS_Transitions">CSS transition</a> has been cancelled.</dd>
 <dt>{{domxref("HTMLElement.transitionend_event", "transitionend")}}</dt>
 <dd>An {{domxref("Event")}} fired when a <a href="/en-US/docs/Web/CSS/CSS_Transitions">CSS transition</a> has finished playing.</dd>
 <dt>{{domxref("HTMLElement.transitionrun_event", "transitionrun")}}</dt>
 <dd>An {{domxref("Event")}} fired when a <a href="/en-US/docs/Web/CSS/CSS_Transitions">CSS transition</a> is created, when it is added to a set of running transitions, though not nessarilty started</dd>
 <dt>{{domxref("HTMLElement.transitionstart_event", "transitionstart")}}</dt>
 <dd>An {{domxref("Event")}} fired when a <a href="/en-US/docs/Web/CSS/CSS_Transitions">CSS transition</a> has started transitioning.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>Also inherits properties from its parent {{domxref("Event")}}</em>.</p>

<dl>
 <dt>{{domxref("TransitionEvent.initTransitionEvent()")}} {{non-standard_inline}}{{deprecated_inline}}</dt>
 <dd>Initializes a <code>TransitionEvent</code> created using the deprecated {{domxref("Document.createEvent()", "Document.createEvent(\"TransitionEvent\")")}} method.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('CSS3 Transitions', '#interface-transitionevent', 'TransitionEvent') }}</td>
   <td>{{ Spec2('CSS3 Transitions') }}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.TransitionEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Guide/CSS/Using_CSS_transitions">Using CSS transitions</a></li>
 <li>CSS properties: {{cssxref("transition")}}, {{cssxref("transition-delay")}}, {{cssxref("transition-duration")}}, {{cssxref("transition-property")}}, {{cssxref("transition-timing-function")}}.</li>
</ul>
